# mpi4py.MPI.Request

class mpi4py.MPI.Request

  Bases: `object`

  Request handler.

  static __new__(cls, request=None)
    Parameters:

      request (Request | None)

    Return type:

      Self

  Methods Summary

  `Cancel`() | Cancel a request.
  `Free`() | Free a communication request.
  `Get_status`([status]) | Non-destructive test for the completion of a request.
  `Get_status_all`(requests[, statuses]) | Non-destructive test for the completion of all requests.
  `Get_status_any`(requests[, status]) | Non-destructive test for the completion of any requests.
  `Get_status_some`(requests[, statuses]) | Non-destructive test for completion of some requests.
  `Test`([status]) | Test for the completion of a non-blocking operation.
  `Testall`(requests[, statuses]) | Test for completion of all previously initiated requests.
  `Testany`(requests[, status]) | Test for completion of any previously initiated request.
  `Testsome`(requests[, statuses]) | Test for completion of some previously initiated requests.
  `Wait`([status]) | Wait for a non-blocking operation to complete.
  `Waitall`(requests[, statuses]) | Wait for all previously initiated requests to complete.
  `Waitany`(requests[, status]) | Wait for any previously initiated request to complete.
  `Waitsome`(requests[, statuses]) | Wait for some previously initiated requests to complete.
  `cancel`() | Cancel a request.
  `f2py`(arg) |
  `free`() | Call `Free` if not null.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `get_status`([status]) | Non-destructive test for the completion of a request.
  `get_status_all`(requests[, statuses]) | Non-destructive test for the completion of all requests.
  `get_status_any`(requests[, status]) | Non-destructive test for the completion of any requests.
  `get_status_some`(requests[, statuses]) | Non-destructive test for completion of some requests.
  `py2f`() |
  `test`([status]) | Test for the completion of a non-blocking operation.
  `testall`(requests[, statuses]) | Test for completion of all previously initiated requests.
  `testany`(requests[, status]) | Test for completion of any previously initiated request.
  `testsome`(requests[, statuses]) | Test for completion of some previously initiated requests.
  `toint`() | Translate object to integer handle.
  `wait`([status]) | Wait for a non-blocking operation to complete.
  `waitall`(requests[, statuses]) | Wait for all previously initiated requests to complete.
  `waitany`(requests[, status]) | Wait for any previously initiated request to complete.
  `waitsome`(requests[, statuses]) | Wait for some previously initiated requests to complete.

  Attributes Summary

  `handle` | MPI handle.

  Methods Documentation

  Cancel()

    Cancel a request.

    Return type:

      None

  Free()

    Free a communication request.

    Return type:

      None

  Get_status(status=None)

    Non-destructive test for the completion of a request.

    Parameters:

      status (Status | None)

    Return type:

      bool

  classmethod Get_status_all(requests, statuses=None)

    Non-destructive test for the completion of all requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      bool

  classmethod Get_status_any(requests, status=None)

    Non-destructive test for the completion of any requests.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      tuple[int, bool]

  classmethod Get_status_some(requests, statuses=None)

    Non-destructive test for completion of some requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      list[int] | None

  Test(status=None)

    Test for the completion of a non-blocking operation.

    Parameters:

      status (Status | None)

    Return type:

      bool

  classmethod Testall(requests, statuses=None)

    Test for completion of all previously initiated requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      bool

  classmethod Testany(requests, status=None)

    Test for completion of any previously initiated request.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      tuple[int, bool]

  classmethod Testsome(requests, statuses=None)

    Test for completion of some previously initiated requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      list[int] | None

  Wait(status=None)

    Wait for a non-blocking operation to complete.

    Parameters:

      status (Status | None)

    Return type:

      Literal[True]

  classmethod Waitall(requests, statuses=None)

    Wait for all previously initiated requests to complete.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      Literal[True]

  classmethod Waitany(requests, status=None)

    Wait for any previously initiated request to complete.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      int

  classmethod Waitsome(requests, statuses=None)

    Wait for some previously initiated requests to complete.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      list[int] | None

  cancel()

    Cancel a request.

    Return type:

      None

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Request

  free()

    Call `Free` if not null.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Request

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Request

  get_status(status=None)

    Non-destructive test for the completion of a request.

    Parameters:

      status (Status | None)

    Return type:

      bool

  classmethod get_status_all(requests, statuses=None)

    Non-destructive test for the completion of all requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      bool

  classmethod get_status_any(requests, status=None)

    Non-destructive test for the completion of any requests.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      tuple[int, bool]

  classmethod get_status_some(requests, statuses=None)

    Non-destructive test for completion of some requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      list[int] | None

  py2f()
    Return type:

      int

  test(status=None)

    Test for the completion of a non-blocking operation.

    Parameters:

      status (Status | None)

    Return type:

      tuple[bool, Any | None]

  classmethod testall(requests, statuses=None)

    Test for completion of all previously initiated requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      tuple[bool, list[Any] | None]

  classmethod testany(requests, status=None)

    Test for completion of any previously initiated request.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      tuple[int, bool, Any | None]

  classmethod testsome(requests, statuses=None)

    Test for completion of some previously initiated requests.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      tuple[list[int] | None, list[Any] | None]

  toint()

    Translate object to integer handle.

    Return type:

      int

  wait(status=None)

    Wait for a non-blocking operation to complete.

    Parameters:

      status (Status | None)

    Return type:

      Any

  classmethod waitall(requests, statuses=None)

    Wait for all previously initiated requests to complete.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      list[Any]

  classmethod waitany(requests, status=None)

    Wait for any previously initiated request to complete.

    Parameters:

      - requests (Sequence[Request])

      - status (Status | None)

    Return type:

      tuple[int, Any]

  classmethod waitsome(requests, statuses=None)

    Wait for some previously initiated requests to complete.

    Parameters:

      - requests (Sequence[Request])

      - statuses (list[Status] | None)

    Return type:

      tuple[list[int] | None, list[Any] | None]

  Attributes Documentation

  handle

    MPI handle.